- [HTTP request](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/list#body.request_body)
- [Response body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/list#body.ListOrdersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/list#body.aspect)
- [Examples](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/list#examples)
- [Try it!](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders/list#try-it)

Lists orders.

### HTTP request

`GET https://dv360seller.googleapis.com/v1beta1/{parent=exchanges/*}/orders`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The parent resource name. Example: `exchanges/123`. Required. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. Defaults to 50. Max allowed value is 200. If unspecified, 50 will be default page size. If pageSize is more than 200, will use 200 as page size. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |
| `filter` | `string` Allows filtering by order properties. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. - A restriction has the form of `<field> <operator> <value>`. - The operator for status and displayName must be `EQUALS (=)`. - Supported fields: - `OrderStatus` - `DisplayName` - `UpdateTime` Examples: - Get Orders with status set to `ACCEPTED` `status=ACCEPTED` - Get Orders with display name of `display name` `displayName="display name"` - Get Orders with update time greater than `2024-02-12T18:47:29.784Z` `updateTime>"2024-02-12T18:47:29.784Z"` The length of this field should be no more than 500 characters. |

### Request body

The request body must be empty.

### Response body

Response to list orders.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "order": [ { object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#Order`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `order[]` | ``object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.orders#Order`)`` Listed orders. There will be a maximum number of items returned based on the pageSize field in the request. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).